<template>
  <v-container fluid>
    <h1>{{ title }}</h1>
    <h3>{{ recordingText }}</h3>
    <v-btn v-on:click="startStream()">Start stream</v-btn>

    <v-flex xs12 md6 offset-md3>
      <video id="video" width="100%" height="100%" autoplay></video>
      <img id="fleche" src="https://www.virages.com/Images/Categorie_B15/27149-500.gif" width="100%" height="100%"/>
    </v-flex>
  </v-container>
</template>

<script>
import CameraPhoto, { FACING_MODES } from 'jslib-html5-camera-photo'

export default {
  name: 'ARViewJunior',
  data () {
    return {
      title: 'ARViewJunior',
      recordingText: ''
    }
  },
  methods: {
    startStream: function () {
      var img = document.getElementById('fleche')
      img.style.display = 'block'
      window.addEventListener('deviceorientation', function (e) {
        img.style.transform = 'rotateX(' + event.beta + 'deg) ' + 'rotateZ(' + event.alpha + 'deg)'
      }, true)

      // Grab elements, create settings, etc.
      var video = document.getElementById('video')
      var cameraPhoto = new CameraPhoto(video)
      cameraPhoto.startCamera(FACING_MODES.ENVIRONMENT, { })
        .then((stream) => { this.recordingText = 'Rec...' })
        .catch((error) => { this.recordingText = 'Error...' + error })
    }
  }
}
</script>

<style scoped>
</style>
